## kf6-kcalendarcore 6.6.0

=== debian/changelog ===
kf6-kcalendarcore (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:04:17 +0100

kf6-kcalendarcore (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:21:17 +0100

kf6-kcalendarcore (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Add qt6-declarative-dev to Build-Depends
  * Add new qml6-module-org-kde-calendarcore binary package to provide
    the QML module
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:42 +0100
