=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kcalendarcore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
@@ -11,16 +12,17 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libical-dev (>= 3.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev,
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcalendarcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcalendarcore
 
 Package: libkf6calendarcore-dev
 Section: libdevel
@@ -63,3 +65,16 @@
  group scheduling standard iTIP.
  .
  This package is part of KDE Frameworks 6.
+
+Package: qml6-module-org-kde-calendarcore
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: calendar access framework, qml bindings
+ This library provides access to and handling of calendar data.
+ It supports the standard formats iCalendar and vCalendar and the
+ group scheduling standard iTIP.
+ .
+ This package is part of KDE Frameworks 6.
+ .
+ This package contains the calendarcore QML bindings.
