=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libical-dev (>= 3.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -29,6 +30,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6calendarcore6 (= ${binary:Version}),
+         qml6-module-org-kde-calendarcore (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6calendarcore-doc (= ${source:Version}),
@@ -69,12 +71,12 @@
 Package: qml6-module-org-kde-calendarcore
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: calendar access framework, qml bindings
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Description: calendar access framework (QML bindings)
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the
  group scheduling standard iTIP.
  .
  This package is part of KDE Frameworks 6.
  .
- This package contains the calendarcore QML bindings.
+ This package contains the QML bindings.
