=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                bison,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libical-dev (>= 3.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
